﻿stop();

//racine du dossier
if(httpHost == undefined)   var rootHttp:String = "";//local
else 						var rootHttp:String = httpHost;//internet

 //fichier xml
if(xmlDataFile == undefined)
{
	var xmlDataFile:String = "demo/data.xml";
}

//dossier contenant les images de l'interface
if(interfaceImageFolder == undefined)
{
	var interfaceImageFolder:String = "images";
}

//initialiser la scene
Stage.scaleMode = "noScale";

var resizeListener:Object = new Object();

//gerer le redimentionnement de la fenetre
resizeListener.onResize = function ()
{
	MakeInterface.ajusterInterface(Stage.width, Stage.height);
}

Stage.addListener(resizeListener);

var dataImgXML:XML = new XML();
dataImgXML.ignoreWhite = true;
dataImgXML.load(xmlDataFile);
dataImgXML.onLoad = function(success:Boolean)
{
	if(success)
	{
		var i:Number = 0;
		var myXML:XMLNode = dataImgXML.firstChild;
		
		var myXMLimgs = null;
		var myXMLzip = null;
		for (i = 0; i < myXML.childNodes.length; i++)
		{
			if(myXML.childNodes[i].localName == 'imgs')
			{
				myXMLimgs = myXML.childNodes[i];
			}
			if(myXML.childNodes[i].localName == 'zip')
			{
				myXMLzip = myXML.childNodes[i];
			}
		}
		
		//creer l'interface
		var makeInterface:MakeInterface = new MakeInterface(rootHttp, interfaceImageFolder, myXMLzip);

		i = 0;
		while(myXMLimgs.childNodes[i] != undefined)
		{
			//creer l'objet vignette pour chaque image
			var vignette:Vignette = new Vignette(i, rootHttp, interfaceImageFolder, myXMLimgs);
			i++;
		}
		
		//ajuster l'interface en fonction de la fenetre
		MakeInterface.ajusterInterface(Stage.width, Stage.height);
		
		/** fin du chargement des objets de base
		 *  debut du chargement des icones et images
		 */
		
		//demarrer le chargement des icones et images les unes apres les autres
		Vignette.chargerIcone(0);
		Vignette.chargerImage(0);
		
		//gerer le deplacement des vignettes en fonction de la position de la souris
		onEnterFrame = function()
		{
			//on regarde si on est dans le mode vignette
			if(MakeInterface.modeScene == 0)
			{
				Vignette.mouseMoveVignette(Stage.width, Stage.height, _root._ymouse);
			}
		}
	}
}